[Armadeus-commitlog] armadeus branch, master, updated. release-3.3-365-g2a49d80
Brought to you by:
sszy
|
From: Fabien M <fa...@us...> - 2011-02-24 09:08:35
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "armadeus".
The branch, master has been updated
via 2a49d808b9e8be5d52413af7a94031e56b3f9673 (commit)
from 195c7af37b12f3aadb73b56a0fd02578cdeb34f4 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 2a49d808b9e8be5d52413af7a94031e56b3f9673
Author: Fabien Marteau <fab...@ar...>
Date: Thu Feb 24 10:07:33 2011 +0100
[buildroot][rootfs_skeleton] restore S13portmap init script
-----------------------------------------------------------------------
Summary of changes:
.../rootfs/target_skeleton/etc/init.d/S13portmap | 44 ++++++++++++++++++++
1 files changed, 44 insertions(+), 0 deletions(-)
create mode 100755 buildroot/target/device/armadeus/rootfs/target_skeleton/etc/init.d/S13portmap
diff --git a/buildroot/target/device/armadeus/rootfs/target_skeleton/etc/init.d/S13portmap b/buildroot/target/device/armadeus/rootfs/target_skeleton/etc/init.d/S13portmap
new file mode 100755
index 0000000..573a16a
--- /dev/null
+++ b/buildroot/target/device/armadeus/rootfs/target_skeleton/etc/init.d/S13portmap
@@ -0,0 +1,44 @@
+#! /bin/sh
+
+[ -f /sbin/portmap ] || exit 0
+
+start() {
+ echo -n "Starting portmap: "
+ portmap
+ mkdir -p /var/lock/subsys
+ touch /var/lock/subsys/portmap
+ echo "done"
+}
+
+
+stop() {
+ echo -n "Stopping portmap: "
+ echo
+ killall portmap
+ rm -rf /var/lock/subsys
+ echo "done"
+}
+
+restart() {
+ stop
+ start
+ rm -f /var/run/portmap.state
+}
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|reload|restart}"
+ exit 1
+esac
+
+exit $?
hooks/post-receive
--
armadeus
|